Page Index Toggle Pages: 1
Topic Tools
Hot Topic (More than 10 Replies) Running 2.4 Setup.pl I get Error (Read 4,255 times)
tvcox
YaBB Newcomer
*
Offline



Posts: 43
Location: Henagar, AL
Running 2.4 Setup.pl I get Error
Feb 10th, 2010 at 6:45am
Post Tools
I don't know much about pearl or YaBB. I've been using it for a few years now but it was set up by the person who made the software for my webserver.
    Having said that I am trying to up grade to 2.4 from 1.3 but I'm doing a fresh new install. I understand that I am to run setup.pl first. It gives me a 500 error so I took the # away from use CGI::Carp qw(fatalsToBrowser); and it gives me the following error:
Software error:
Undefined subroutine &main:Shockedur called at c:\PROGRA~2\INSTAN~1\MINIPO~1\apache\cgi-bin\forum\setup.pl line 87.
    So where is line 87. I find that I don't know how to count the lines.  Smiley Smiley
  

Regards,
Tim Cox
Henagar, AL
Back to top
WWW  
IP Logged
 
smith21
Support Team
****
Offline



Posts: 4,660
Location: Stockton - on - Tees,  England

None
Re: Running 2.4 Setup.pl I get Error
Reply #1 - Feb 10th, 2010 at 8:41am
Post Tools
When running the setup.pl file make sure you have the correct case. It is a capital S in setup so it should be Setup.pl

BTW Line 87 is this

Code
Select All
our (@categoryorder, @catboards, @catdata, @boarddata, @allboards); 

« Last Edit: Feb 10th, 2010 at 8:44am by smith21 »  

Cheers
Back to top
IP Logged
 
tvcox
YaBB Newcomer
*
Offline



Posts: 43
Location: Henagar, AL
Re: Running 2.4 Setup.pl I get Error
Reply #2 - Feb 10th, 2010 at 3:02pm
Post Tools
I ran it as http:.//hpcog.com/cgi-bin/forum/Setup.pl and it gave me the same error. I found line 87 above to be the same as what you said it was .... our (@categoryorder, @catboards, @catdata, @boarddata, @allboards);

Now I'm getting a line 89 error.  Any Ideas. I looked at the video on youtube but it must have been on a different system than mine so when I tried the same process they did I didn't get the same result.

So again, please, what would cause the error in line 87???? Grin
« Last Edit: Feb 10th, 2010 at 3:16pm by tvcox »  

Regards,
Tim Cox
Henagar, AL
Back to top
WWW  
IP Logged
 
OH Eng
Past Team Members
Documentation Team
Offline



Posts: 4,026
Location: Pensacola, Florida USA
Re: Running 2.4 Setup.pl I get Error
Reply #3 - Feb 10th, 2010 at 3:23pm
Post Tools
tvcox wrote on Feb 10th, 2010 at 3:02pm:
I looked at the video on youtube...


??? What video?

What kind of server are you using, Windows or Unix?

How did you transfer the files to your server?  Did you follow all the uploading instructions in the Quick Guide, making sure to upload the files in the correct mode?  If not, they can and will become corrupted.

If you are on a Unix server, you have to set the file permissions per the Quick Guide also or the programs won't be able to run.

You also need to check on your host's documentation that you can run Perl scripts (YaBB) in the directory (folder) you are trying to run them in.  If you have them in a folder it can't run in, it won't compile and you'll get error after error.

« Last Edit: Feb 10th, 2010 at 3:38pm by OH Eng »  

 
Back to top
 
IP Logged
 
Captain John
Ex Member


Re: Running 2.4 Setup.pl I get Error
Reply #4 - Feb 10th, 2010 at 4:01pm
Post Tools
  I see your on a Windows Host Server.  There is No need to change the YaBB software ... "except" you MUST edit Setup.pl, YaBB.pl, AdminIndex.pl and the ModuleChecker.pl file located in the Admin folder and change the top line in each of the 4 files.

Find (top line)
Code
Select All
#!/usr/bin/perl -- 



change it to:
Code
Select All
#!c:/Perl/Bin/Perl.exe -- 



must be entered exactly as above.

After editing on your pc, upload to your Host using an ftp program, making absolutely sure you use an AscII transfer mode for ALL the files and folders under the yabb2 folder.
« Last Edit: Feb 10th, 2010 at 4:03pm by »  
Back to top
 
IP Logged
 
tvcox
YaBB Newcomer
*
Offline



Posts: 43
Location: Henagar, AL
Re: Running 2.4 Setup.pl I get Error
Reply #5 - Feb 10th, 2010 at 5:13pm
Post Tools
I guess that would have been helpful. I am using Windows 7 platform. I have my own webserver by Instantservers.com and I am running perl 5.00503. I have YaBB 1.3.1 up and running successful. The webmaster at instantservers.com has that version on his website which he setup to run with my MiniPortal Webserver so I haven't had to setup this before. The reason I'm doing this now is because Instantservers is out of business and are not upgrading their servers or material.
  I did not have to upload my files to the server. I just formed a folder and placed them there and use http://hpcog.com/cgi-bin/forum/Setup.pl
  In the Codex Message I found I was not using the 5.6 Perl Version so I took the # off the following line in Setup.pl  use vars qw(@categoryorder,@catboards,@catdata,@boarddata,@allboards,%catinfo,%cat,%board
,%boarddata,$catfile,$boardfile,$key,$value,$cnt); and I get the following error in my browser:
Software error:
Undefined subroutine &main:Shockedur called at c:\PROGRA~2\INSTAN~1\MINIPO~1\apache\cgi-bin\forum\setup.pl line 90.
For help, please send mail to the webmaster (webmaster@hpcog.com), giving this error message and the time and date of the error.
    The Video is on youtube.com at http://www.youtube.com/watch?v=6ic0PTG3dhc

Thanks for hanging in there with me. I know very little about scripting. I've been using programs which installed onto my system but have been able to get stuff to working with some help from others.

Thanks,
Tim Cheesy
  

Regards,
Tim Cox
Henagar, AL
Back to top
WWW  
IP Logged
 
Captain John
Ex Member


Re: Running 2.4 Setup.pl I get Error
Reply #6 - Feb 10th, 2010 at 7:38pm
Post Tools
tvcox wrote on Feb 10th, 2010 at 5:13pm:
I am running perl 5.00503. I have YaBB 1.3.1 up and running successful


Well 5.0 was an awesome Perl back in its day ... But upgrading to a YaBB version created almost 9 years after Y1.3.1 was released, requires a "little" newer version of Perl.  Suggest at least Perl 5.8

See Perl on Windows

« Last Edit: Feb 10th, 2010 at 7:49pm by »  
Back to top
 
IP Logged
 
tvcox
YaBB Newcomer
*
Offline



Posts: 43
Location: Henagar, AL
Re: Running 2.4 Setup.pl I get Error
Reply #7 - Feb 10th, 2010 at 9:13pm
Post Tools
Embarrassed That worked. I installed a newer version of perl and now I have it up but have a lot of work to do before I have it in operation.
   THANKS THANKS THANKS
Tim Roll Eyes
  

Regards,
Tim Cox
Henagar, AL
Back to top
WWW  
IP Logged
 
Captain John
Ex Member


Re: Running 2.4 Setup.pl I get Error
Reply #8 - Feb 10th, 2010 at 9:21pm
Post Tools
Welcome ....
  
Back to top
 
IP Logged
 
xnoddyx
Support Team
Documentation Team
YaBB Moderators
YaBB Next Team
Beta Testers
****
Offline



Posts: 1,591
Location: UK:Scotland/livingston

None
Re: Running 2.4 Setup.pl I get Error
Reply #9 - May 10th, 2010 at 1:57pm
Post Tools
OH Eng wrote on Feb 10th, 2010 at 3:23pm:
tvcox wrote on Feb 10th, 2010 at 3:02pm:
I looked at the video on youtube...


??? What video?

What kind of server are you using, Windows or Unix?

How did you transfer the files to your server?  Did you follow all the uploading instructions in the Quick Guide, making sure to upload the files in the correct mode?  If not, they can and will become corrupted.

If you are on a Unix server, you have to set the file permissions per the Quick Guide also or the programs won't be able to run.

You also need to check on your host's documentation that you can run Perl scripts (YaBB) in the directory (folder) you are trying to run them in.  If you have them in a folder it can't run in, it won't compile and you'll get error after error.



thats my youtube vid and that was on a linux server
« Last Edit: May 10th, 2010 at 2:00pm by xnoddyx »  

YaBB install help video
1. what yabb forum are you running and the url
2. describe in as much detail as you can what happens and also post screenshots if you can
3. please be patient we live in different time zones and have other commitments but we will help you
as bill and ted say (Be excellent to each other)
Back to top
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,919
Location: Land of the Blazing Sun!

YaBB 2.6.1
Re: Running 2.4 Setup.pl I get Error
Reply #10 - May 11th, 2010 at 12:40am
Post Tools
hey! xnoddyx IS alive, LOL

wb, buddy

Cool
  

I find your lack of faith disturbing.
Back to top
IP Logged
 
xnoddyx
Support Team
Documentation Team
YaBB Moderators
YaBB Next Team
Beta Testers
****
Offline



Posts: 1,591
Location: UK:Scotland/livingston

None
Re: Running 2.4 Setup.pl I get Error
Reply #11 - May 11th, 2010 at 8:08am
Post Tools
thankq JonB  Grin
  

YaBB install help video
1. what yabb forum are you running and the url
2. describe in as much detail as you can what happens and also post screenshots if you can
3. please be patient we live in different time zones and have other commitments but we will help you
as bill and ted say (Be excellent to each other)
Back to top
IP Logged
 
Page Index Toggle Pages: 1
Topic Tools
 
  « Board Index ‹ Board  ^Top